<section class="tk-list">
    <div class="tk-table">
        <section>
            <h3 style="margin-top: 0;">Pokemones</h3>
            <h6>Numero de Pokemones: {{contador}}</h6>
            <div class="grid">
                <div>
                    <button (click)="getPrevioustPaginate()">Pokemones Anteriores</button>
                </div>
                <div>
                    <button (click)="getNextPaginate()">Pokemones Siguientes</button>
                </div>
            </div>
            <div class="grid" style="margin:2% 0;">
                <div>
                    <span>limit </span>
                    <select (change)="onChange()" [(ngModel)]="limit">
                        <option value="10">10</option>
                        <option value="20">20</option>
                        <option value="30">30</option>
                        <option value="50">50</option>
                    </select>
                </div>
                <div>
                    <span>offset </span>
                    <select (change)="onChange()" [(ngModel)]="offset">
                        <option value="1">1</option>
                        <option value="10">10</option>
                        <option value="25">25</option>
                        <option value="30">30</option>
                        <option value="35">35</option>
                    </select>
                </div>
            </div>
            <div class="responsive" [@changeState]="state">
                <table>
                    <thead>
                        <tr>
                            <th>
                                ID
                            </th>
                            <th>
                                Imagen
                            </th>
                            <th>
                                Experiencia
                            </th>
                            <th>
                                Nombre
                            </th>
                            <th>
                                Detalles
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let item of fixData">
                            <td>
                                {{item.id}}
                            </td>
                            <td>
                                <img src="{{item.img}}" alt="{{item.name}}">
                            </td>
                            <td>
                                {{item.experience}}
                            </td>
                            <td>
                                {{item.name}}
                            </td>
                            <td>
                                <button class="btn" routerLink="/detail/{{item.id}}">Ver</button>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </section>
    </div>
</section>
